%global momorel 1
%global srcname %{name}-%{version}

#%%global betaver 1
#%%global momorel 0.%{betaver}.1
%global srcname %{name}-%{version}
%global md5sum_src0 6e951674ded9a754cf698a8f75fa6180

Summary: a full-text search program
Name: sylph-searcher

Version: 1.0.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://sylpheed.sraoss.jp/
Group: Applications/Text
%NoSource 0 http://sylpheed.sraoss.jp/sylpheed/misc/%{srcname}.tar.gz %{md5sum_src0}
BuildPreReq: glib2-devel >= 2.4.0
BuildPreReq: gtk2-devel >= 2.4.0
BuildPreReq: libsylph-devel >= 1.0.0
BuildPreReq: momonga-rpmmacros >= 20040310-6m
Requires: glib2 >= 2.4.0
Requires: gtk2 >= 2.4.0
Requires: mecab >= 0.93
Requires: mecab-ipadic 
Requires: postgresql >= 8.2
Requires: libsylph >= 1.0.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Sylph-Searcher (tentative name) is a full-text search program for messages
stored in the mailboxes of Sylpheed, or generic MH folders.
It utilizes the full-text search feature of PostgreSQL 8.2.

%prep
%setup -q -n %{srcname}

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README*
%{_bindir}/syldbimport
%{_bindir}/syldbquery
%{_bindir}/sylph-searcher
%{_datadir}/%{name}/
%{_datadir}/locale/*/*/*

%changelog
* Fri Jul 13 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.0-1m)
- up to 1.0.0

* Tue Jul 10 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.0-0.1.1m)
- up to 1.0.0beta1

* Sat Jun 30 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.5.0-1m)
- up to 0.5.0

* Fri Jun 29 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.4.0-2m)
- add sql

* Fri Jun 22 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.4.0-1m)
- up to 0.4.0

* Tue Jun 19 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.3.0-1m)
- up to 0.3.0

* Fri Jun 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.0-1m)
- update to 0.2.0

* Fri Jun  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.0-1m)
- initial build for Momonga Linux
